Name:           scout
Version:        0.4
Release:        19%{?dist}
Summary:        CLI interface to Tomboy notes and Gnote

Group:          Applications/Text
License:        BSD
URL:            http://github.com/lelutin/%{name}

# A stable link is here, redirects to Source0:     http://github.com/lelutin/%%{name}/tarball/v%%{version}
# I can't use it as source since source needs the name of the tar in it. 

Source0:        http://download.github.com/lelutin-%{name}-v%{version}-0-ga2ae61f.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel python2-setuptools
BuildRequires:  perl-interpreter pandoc
Requires:       dbus-python  python2-setuptools

%description
Scout is an interface to Tomboy notes or Gnote that uses DBus to 
communicate. It presents a command-line interface and tries to be
as simple to use as possible. Different actions can be taken to 
interact with Tomboy or Gnote. Actions are simple to create, 
making the application easily extensible.

Current actions make it possible to list note names, 
display note contents, search for text inside notes and to 
delete notes.

%prep
%setup -q -n lelutin-%{name}-3b6fe1a


%build
%py2_build

%install
%py2_install

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}*
%{python2_sitelib}/*

%changelog
* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-18
- Fix build

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-16
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 06 2012 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-9
- spec bump for gcc 4.7 rebuild

* Wed Mar 30 2011 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-8
- Added a requires

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Oct 16 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-6
- removed article 'A' from summary

* Sat Oct 16 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-5
- corrected license

* Thu Oct 14 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-4
- corrected directory ownership
- corrected macro in comment

* Wed Oct 13 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-3
- Corrected license to LGPLv2+ and BSD
- corrected directory ownership

* Wed Oct 13 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-2
- Corrected license as per bug #639594
- added comment for a stable download link 

* Sat Oct 09 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.4-1
- Update to latest upstream release

* Sat Oct 02 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-3
- Corrections to srpm

* Fri Sep 24 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-2
- Added noarch

* Sun Sep 19 2010 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.3.2-1
- initial rpm build
